Skip to content

/api/v1/facilities/{facilityId}/outbound/put-walls/{putWallId}/puts

POST
/api/v1/facilities/{facilityId}/outbound/put-walls/{putWallId}/puts
curl --request POST \
--url https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/outbound/put-walls/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/puts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "toteCode": "example", "productCode": "example", "cubbyCode": "example", "quantity": 1, "workerRef": "example" }'
facilityId
required
string format: uuid
putWallId
required
string format: uuid
Idempotency-Key
string

Optional, 1 to 128 characters (the IETF Idempotency-Key header). A repeat with the same key and payload within 24 hours answers the stored response and changes nothing; the same key with a different payload is 422 idempotency_key_reused; a repeat while the first is still in flight is 409 idempotency_request_in_progress.

object
toteCode
string
productCode
string
cubbyCode
string
quantity
integer format: int32
default: 1
workerRef
string
nullable

Created

object
id
required
string format: uuid
putWallId
required
string format: uuid
putWallCode
required
string
cubby
required
object
id
required
string format: uuid
code
required
string
row
required
integer format: int32
>= 1 <= 26
column
required
integer format: int32
>= 1 <= 99
enabled
required
boolean
status
required
string
Allowed values: Free Assigned ReadyForPack
lpnCode
required
string
orderId
required
string format: uuid
nullable
orderNumber
required
string
nullable
waveId
required
string format: uuid
nullable
assignedAt
required
string format: date-time
nullable
readyForPackAt
required
string format: date-time
nullable
updatedAt
required
string format: date-time
toteCode
required
string
orderId
required
string format: uuid
orderNumber
required
string
orderLineId
required
string format: uuid
productId
required
string format: uuid
sku
required
string
quantity
required
integer format: int32
>= 1 <= 2147483647
inventoryStatus
required
string
Allowed values: Pending Confirmed Rejected
inventoryErrorCode
required
string
nullable
putByType
required
string
Allowed values: User ApiKey
putById
required
string format: uuid
workerRef
required
string
nullable
createdAt
required
string format: date-time
updatedAt
required
string format: date-time

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Unprocessable Entity

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable